Skip to main content
PUT
/
custom-fields
/
{customfieldId}
Update custom field by ID
curl --request PUT \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/custom-fields/{customfieldId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "some string",
  "position": 0,
  "permission": "1,2,3",
  "is_active": true,
  "object": "customer",
  "can_customer_view": true,
  "field_widget_id": 1,
  "settings": {
    "field_instance_id": 1,
    "allowed_values": [
      "value_1",
      "value_2"
    ],
    "default_value": "value_1"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Path Parameters

customfieldId
string
required

Body

application/json

The body is of type object.

Response

200 - application/json

Successful response